[![Pytest](https://github.com/chaochungkuo/GenomKit/actions/workflows/pytest.yml/badge.svg)](https://github.com/chaochungkuo/GenomKit/actions/workflows/pytest.yml)
[![codecov](https://codecov.io/gh/chaochungkuo/GenomKit/graph/badge.svg?token=5JEIF1EVX8)](https://codecov.io/gh/chaochungkuo/GenomKit)
[![Documentation Status](https://readthedocs.org/projects/GenomKit/badge/?version=latest&style=flat)](https://GenomKit.readthedocs.io/en/latest/index.html)

# GenomKit

GenomKit is a comprehensive Python package designed to streamline bioinformatics research by providing efficient and user-friendly modules for handling various genomic data formats. Whether you're a seasoned bioinformatician or just starting out, GenomKit offers a range of tools to simplify your workflow and accelerate your research. It covers not only the functions for processing a single file format, but also the modules for handling a set of different files together representing different and relevant genomic elements. GenomKit, as the name suggests, is a kit of many useful tools tailored for your bioinformatics research needs.

![Scheme of GenomKit modules](docs/images/genomkit_scheme.png "Scheme of GenomKit modules")

### Features

- **Versatile File Handling:** GenomKit offers flexible modules and efficient functions for handling a wide range of genomic elements from different file types. From BAM and BED to bigWig, FASTA, and FASTQ files, GenomKit has you covered.

- **Data Visualization:** Visualizing your genomic data is made easy with GenomKit's built-in visualization tools. Whether you're generating genome browser tracks or plotting peak calling results, GenomKit provides intuitive visualization options to enhance your analysis.

- **Effortless Data Conversion:** Convert your genomic data into numpy arrays or pandas data frames with ease. GenomKit's functions make it simple to manipulate and analyze your data using familiar Python data structures.

- **Comprehensive Usage Cases:** With over 50 usage cases covering a wide range of bioinformatic tasks, GenomKit offers practical solutions for common challenges in genomic analysis. Whether you're performing variant calling, ChIP-seq analysis, or differential expression analysis, GenomKit has a solution for you.

- **Parallel Computing Support:** GenomKit supports parallel computing in its functions for heavy computation tasks, enabling faster processing times and improved scalability for large-scale genomic analyses.

- **Pythonic Interface:** GenomKit provides a Pythonic interface for seamless integration into your custom software or analysis pipelines. With a clear and consistent API, GenomKit makes it easy to incorporate its functionality into your projects.

### Installation

To install GenomKit, simply use pip:

```shell
pip install genomkit
```

For more detailed installation instructions, including installation from source, refer to the documentation.

### Usages

Check out the documentation for usage examples, API references, and tutorials on getting started with GenomKit.

### License

GenomKit is distributed under [the MIT License](https://github.com/chaochungkuo/GenomKit/blob/main/LICENSE). Feel free to use, modify, and distribute GenomKit according to the terms of this license.

